KDE 4.4 PyKDE API Reference

- KDE's Python API

# GeoDataLatLonAltBox Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataLatLonBox → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble.GeoDataLatLonAltBox

## Detailed Description

A class that defines a 3D bounding box for geographic data.

GeoDataLatLonAltBox is a 3D bounding box that describes a geographic area in terms of latitude, longitude and altitude.

The bounding box gets described by assigning the northern, southern, eastern and western boundary. So usually the value of the eastern boundary is bigger than the value of the western boundary. Only if the bounding box crosses the date line then the eastern boundary has got a smaller value than the western one.

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataLatLonAltBox other)
| __init__ (self, Marble.GeoDataLatLonBox other)
| __init__ (self, Marble.GeoDataCoordinates coordinates)
Marble.AltitudeMode | altitudeMode (self)
Marble.GeoDataCoordinates | center (self)
bool | contains (self, Marble.GeoDataPoint a0)
bool | contains (self, Marble.GeoDataCoordinates a0)
bool | contains (self, Marble.GeoDataLatLonAltBox a0)
Marble.GeoDataLatLonAltBox | fromLineString (self, Marble.GeoDataLineString lineString)
bool | intersects (self, Marble.GeoDataLatLonAltBox a0)
bool | isNull (self)
float | maxAltitude (self)
float | minAltitude (self)
QString | nodeType (self)
| pack (self, QDataStream stream)
| setAltitudeMode (self, Marble.AltitudeMode altitudeMode)
| setMaxAltitude (self, float maxAltitude)
| setMinAltitude (self, float minAltitude)
QString | toString (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataLatLonAltBox | other
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataLatLonBox | other
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates
| ) |  |  |

Marble.AltitudeMode altitudeMode | ( |  | self ) |

Get the reference system for the altitude.

Returns:
  the point of reference which marks the origin for measuring the altitude.

Marble.GeoDataCoordinates center | ( |  | self ) |

returns the center of this box

Returns:
  a coordinate, body-center of the box

bool contains | ( | self, |
|  | Marble.GeoDataPoint | a0
| ) |  |  |

bool contains | ( | self, |
|  | Marble.GeoDataCoordinates | a0
| ) |  |  |

bool contains | ( | self, |
|  | Marble.GeoDataLatLonAltBox | a0
| ) |  |  |

Marble.GeoDataLatLonAltBox fromLineString | ( | self, |
|  | Marble.GeoDataLineString | lineString
| ) |  |  |

Create the smallest bounding box from a line string.

Returns:
  the smallest bounding box that contains the linestring.

bool intersects | ( | self, |
|  | Marble.GeoDataLatLonAltBox | a0
| ) |  |  |

Check if this GeoDataLatLonAltBox intersects with the given one.

bool isNull | ( |  | self ) |

Indicates whether the bounding box only contains a single 2D point ("singularity").

Returns:
  Return value is true if the height and the width of the bounding box equal zero.

float maxAltitude | ( |  | self ) |

Get the upper altitude boundary of the bounding box.

Returns:
  the height of the upper altitude boundary in meters.

float minAltitude | ( |  | self ) |

Get the lower altitude boundary of the bounding box.

Returns:
  the height of the lower altitude boundary in meters.

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

setAltitudeMode | ( | self, |
|  | Marble.AltitudeMode | altitudeMode
| ) |  |  |

setMaxAltitude | ( | self, |
|  | float | maxAltitude
| ) |  |  |

setMinAltitude | ( | self, |
|  | float | minAltitude
| ) |  |  |

QString toString | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

Creates a text string of the bounding box

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |